summaryrefslogtreecommitdiffstats
path: root/ctorrent
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-09-30 08:18:42 +0000
committer Eric Hameleers <alien@slackware.com>2009-09-30 08:18:42 +0000
commit8a15c29b69ab2a3b68be7ebd52a9d196357748b7 (patch)
tree73e4c5e1135a914620a5e01d8f567b69f772041a /ctorrent
parenteffd4ed7834f7caa6430772ac9b723f38901c91b (diff)
downloadasb-8a15c29b69ab2a3b68be7ebd52a9d196357748b7.tar.gz
asb-8a15c29b69ab2a3b68be7ebd52a9d196357748b7.tar.xz
Update to dhn3.3.2
Diffstat (limited to 'ctorrent')
-rwxr-xr-xctorrent/build/ctorrent.SlackBuild217
1 files changed, 79 insertions, 138 deletions
diff --git a/ctorrent/build/ctorrent.SlackBuild b/ctorrent/build/ctorrent.SlackBuild
index c067d8a1..e38dfbd3 100755
--- a/ctorrent/build/ctorrent.SlackBuild
+++ b/ctorrent/build/ctorrent.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2007 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2009 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -24,48 +24,45 @@
#
# Slackware SlackBuild script
# ===========================
-# By: Eric Hameleers <alien@slackware.com>
-# For: ctorrent
-# Descr: Enhanced ctorrent
-# URL: http://www.rahul.net/dholmes/ctorrent/
-# Needs:
-# Changelog:
+# By: Eric Hameleers, Eindhoven, NL
+# For: ctorrent
+# Descr: enhanced ctorrent
+# URL: http://www.rahul.net/dholmes/ctorrent/
+# Needs:
+# Changelog:
# 1.3.4.dnh3-1: 12/Apr/2007 by Eric Hameleers <alien@slackware.com>
-# * Initial build.
+# * Initial build.
+# dnh3.3.2-1: 30/Sep/2009 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
-# Run 'sh ctorrent.SlackBuild --cleanup' to build a Slackware package.
-# The package (.tgz) plus descriptive .txt file are created in /tmp .
-# Install using 'installpkg'.
+# Run 'sh ctorrent.SlackBuild' to build a Slackware package.
+# The package (.tgz) and .txt file as well as build logs are created in /tmp .
+# Install it using 'installpkg'.
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
PRGNAM=ctorrent
-SRCVER=${SRCVER:-1.3.4-dnh3}
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-3.3.2}
+PKGVERSION=dnh${VERSION}
+ARCH=${ARCH:-x86_64}
BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:" -j4 "}
+TAG=${TAG:-alien}
-# I do not want a '-' in the program's version number:
-VERSION=$(echo $SRCVER | tr '-' '.')
-
-# This covers most filenames you'd want as documentation. Change if needed.
-DOCS="AUTHORS ChangeLog* COPYING NEWS README* UserGuide VERSION"
+DOCS="AUTHORS ChangeLog* COPYING NEWS README* UserGuide VERSION*"
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
-[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+SRCDIR=$(cd $(dirname $0); pwd)
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: http://www.rahul.net/dholmes/ctorrent/ctorrent-1.3.4-dnh3.tar.gz
-SOURCE="$SRCDIR/${PRGNAM}-${SRCVER}.tar.gz"
-SRCURL="http://www.rahul.net/dholmes/${PRGNAM}/${PRGNAM}-${SRCVER}.tar.gz"
+SOURCE="$SRCDIR/${PRGNAM}-${PKGVERSION}.tar.gz"
+SRCURL="http://downloads.sourceforge.net/dtorrent/${VERSION}/${PRGNAM}-${PKGVERSION}.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -73,23 +70,13 @@ SRCURL="http://www.rahul.net/dholmes/${PRGNAM}/${PRGNAM}-${SRCVER}.tar.gz"
# Exit the script on errors:
set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}
-# Slackware 11 and up need other option (gcc > 3.3.x)
-if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
- MOPT=tune
-else
- MOPT=cpu
-fi
-
case "$ARCH" in
- i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
+ i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
s390) SLKCFLAGS="-O2"
@@ -101,47 +88,32 @@ case "$ARCH" in
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
esac
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
-
-
-# --- SOURCE FILE AVAILABILITY ---
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
+# Source file availability:
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
- echo "Source '`basename ${SOURCE}`' not available yet..."
- echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
- echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -154,95 +126,64 @@ fi
# --- PACKAGE BUILDING ---
echo "++"
-echo "|| $PRGNAM-$VERSION"
+echo "|| $PRGNAM-$PKGVERSION"
echo "++"
cd $TMP/tmp-$PRGNAM
-
echo "Extracting the source archive(s) for $PRGNAM..."
-if `file ${SOURCE} | grep -q ": bzip2"`; then
- tar -xjvf ${SOURCE}
-elif `file ${SOURCE} | grep -q ": gzip"`; then
- tar -xzvf ${SOURCE}
-fi
-chown -R root:root *
-chmod -R u+w,go+r-w,a-s *
-mv ctorrent-* ${PRGNAM}-${VERSION}
-cd ${PRGNAM}-${VERSION}
+tar -xvf ${SOURCE}
+cd ${PRGNAM}-${PKGVERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --program-prefix="" \
- --program-suffix="" \
- --build=$ARCH-slackware-linux \
- 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
-make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-
-#
-# Install all the needed stuff to the package dir
-#
-# Use installwatch if available, to produce a logfile of the installation
-# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
- installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
-else
- make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
-fi
-
-
-# --- DOCUMENTATION ---
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
-# Compress the man page(s)
+make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
+make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$PKGVERSION || true
+cat $SRCDIR/$(basename $0) | sed \
+ -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
+ -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
+ -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
+ > $PKG/usr/doc/$PRGNAM-$PKGVERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$PKGVERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
- for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
-# Strip binaries
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-cd -
-
-
-# --- OWNERSHIP, RIGHTS ---
-
-chmod -R o-w $PKG
-
-
-# --- PACKAGE DESCRIPTION ---
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Add a package description:
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-if [ -f $SRCDIR/doinst.sh ]; then
- cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
-fi
-
-
-# --- BUILDING ---
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+md5sum ${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
-
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txt
-# --- CLEANUP ---
-
-# Clean up the extra stuff:
-if [ "$P1" = "--cleanup" ]; then
- rm -rf $TMP/tmp-$PRGNAM
- rm -rf $PKG
-fi